# Undocumented Query Parameters You Can Use With Letterbird URLS

Example URL: `https://letterbird.co/melanie`

Using every parameter in the example URL: `https://letterbird.co/melanie?name=from&email=email&body=body&subject=subject&hideheader=1`

- `hideheader=1` - hides the header and profile picture
- `name=` - Pre-fills the from name field
- `email=` - Pre-fills the from email field
- `body=` - Pre-fills the body text area
- `subject=` - Pre-fills the subject field if enabled

As always with query parameters, you should probably run the strings you want to use as the value through `encodeURIComponent()` so that things like spaces become `%20`, newlines become `%0A`, and @ symbols become `%40`.

Of note, sometimes Letterbird will try to store some of these values in localStorage to hold on to what the user has inputted manually and it will overwrite the query parameters.
